using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SysCore;
using SysCore.Model;
using SysCore.DAL;
using SysCore.Control;

public partial class Ling_VendorYingFu_List : System.Web.UI.Page
{
    public Hashtable xview = new Hashtable();
    AWGridFun aw = new AWGridFun();
    protected void Page_Load(object sender, EventArgs e)
    {
        new LoginState().CheckLogin();
        if (!Page.IsPostBack)
        {
            //模块权限编号,同时作为模块号
            string auth_code = "Ling_VendorYingFu_List";
            xview.Add("auth_code", auth_code);
            //加载页面时建议不要指定网址，搜索时动态指定即可
            string url = "";
            xview.Add("grid_frame",aw.CreateGridFrame(url));
            Init_Page();
        }
    }
    public string html_year="";
    public void Init_Page()
    {
        LoginInfo li = new LoginInfo();
        int year = DateTime.Parse(li.login_date).Year;
        for(int i=-5;i<=1;i++){
            string this_year = (year + i).ToString();
            string check = "";
            if (Convert.ToInt32(this_year) == year)
            {
                check = " selected ";
            }
            html_year += "<option value='" + this_year + "'" + check + ">" + this_year + "</option>";
        }
    }
}